aboutsummaryrefslogtreecommitdiffstats
path: root/mowedline/.config/herbstluftwm
diff options
context:
space:
mode:
authorGravatar Tom Willemse2016-10-19 11:46:20 +0200
committerGravatar Tom Willemse2016-10-19 11:46:20 +0200
commit83dff80d0b143f116a2493df9c4c77729fae51ee (patch)
tree2cfe9a75fb58a8abcdc24d16a1c7437d6ff34585 /mowedline/.config/herbstluftwm
parent10dc203aceea42665fb554dfb0ca75b1d6bb3acf (diff)
downloadnew-dotfiles-83dff80d0b143f116a2493df9c4c77729fae51ee.tar.gz
new-dotfiles-83dff80d0b143f116a2493df9c4c77729fae51ee.zip
Add mowedline config
Diffstat (limited to 'mowedline/.config/herbstluftwm')
-rw-r--r--mowedline/.config/herbstluftwm/autostart.d/mowedline-tags.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/mowedline/.config/herbstluftwm/autostart.d/mowedline-tags.sh b/mowedline/.config/herbstluftwm/autostart.d/mowedline-tags.sh
new file mode 100644
index 0000000..7a679bf
--- /dev/null
+++ b/mowedline/.config/herbstluftwm/autostart.d/mowedline-tags.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env zsh
+
+if ! whence hc; then
+ function hc() { herbstclient "$@"; }
+fi
+
+# Keep my taglist widget up-to-date in mowedline. Quit if the "reload"
+# hook is emitted because it will be restarted by this configuration.
+while :; do
+ mowedline-client update taglist "$(hc tag_status)" 2>/dev/null
+ read -r event _ < <(hc --wait 'tag_changed|reload')
+ [[ "$event" == "reload" ]] && break
+done &